<html>
<head>
<title>Ogre::AnimationContainer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimationContainer.html">AnimationContainer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnimationContainer Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnimationContainer" -->
<p>An animation container interface, which allows generic access to sibling animations.  
 <a href="classOgre_1_1AnimationContainer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimation_8h_source.html">OgreAnimation.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnimationContainer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnimationContainer__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnimationContainer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnimationContainer_inherit__map" id="Ogre_1_1AnimationContainer_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1Mesh.html" title="Ogre::Mesh" alt="" coords="31,83,121,112"/><area shape="rect" id="node7" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh." alt="" coords="165,83,275,112"/><area shape="rect" id="node5" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh." alt="" coords="5,160,128,189"/><area shape="rect" id="node9" href="classOgre_1_1SkeletonInstance.html" title="A SkeletonInstance is a single instance of a Skeleton used by a world object." alt="" coords="152,160,309,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnimationContainer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#aa9a928534a786e5f345cc0595ded694c">getNumAnimations</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the number of animations in this container.  <a href="#aa9a928534a786e5f345cc0595ded694c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#ab1f763d5e833e2759c96de43f3bbdab7">getAnimation</a> (unsigned short index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve an animation by index.  <a href="#ab1f763d5e833e2759c96de43f3bbdab7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#a26d1ef5239d4ac29f68e825f8a7e70e2">getAnimation</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve an animation by name.  <a href="#a26d1ef5239d4ac29f68e825f8a7e70e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#ac1469c7aff1e39df3e99a69ba99ff61f">createAnimation</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> length)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new animation with a given length owned by this container.  <a href="#ac1469c7aff1e39df3e99a69ba99ff61f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#ae31ca8ef4dfaa0904a9f5aa05e12e455">hasAnimation</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this object contains the named animation.  <a href="#ae31ca8ef4dfaa0904a9f5aa05e12e455"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationContainer.html#abf8658873fe91d6010482248819740e8">removeAnimation</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes an <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> from this container.  <a href="#abf8658873fe91d6010482248819740e8"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>An animation container interface, which allows generic access to sibling animations. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Because <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> instances can be held by different kinds of classes, and there are sometimes instances when you need to reference other <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> instances within the same container, this class allows generic access to named animations within that container, whatever it may be. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimation_8h_source.html#l00057">57</a> of file <a class="el" href="OgreAnimation_8h_source.html">OgreAnimation.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac1469c7aff1e39df3e99a69ba99ff61f"></a><!-- doxytag: member="Ogre::AnimationContainer::createAnimation" ref="ac1469c7aff1e39df3e99a69ba99ff61f" args="(const String &amp;name, Real length)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a>* <a class="el" href="classOgre_1_1AnimationContainer.html#ac1469c7aff1e39df3e99a69ba99ff61f">Ogre::AnimationContainer::createAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new animation with a given length owned by this container. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#a81f6bd4a02c67143c939da55bd35b1bc">Ogre::Mesh</a>, <a class="el" href="classOgre_1_1Skeleton.html#aaffbdd130cfc11e8b61fb1ed76486a78">Ogre::Skeleton</a>, and <a class="el" href="classOgre_1_1SkeletonInstance.html#a1a56402928aa992450dd5fee8a98cdc1">Ogre::SkeletonInstance</a>.</p>

</div>
</div>
<a class="anchor" id="ab1f763d5e833e2759c96de43f3bbdab7"></a><!-- doxytag: member="Ogre::AnimationContainer::getAnimation" ref="ab1f763d5e833e2759c96de43f3bbdab7" args="(unsigned short index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a>* <a class="el" href="classOgre_1_1AnimationContainer.html#ab1f763d5e833e2759c96de43f3bbdab7">Ogre::AnimationContainer::getAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve an animation by index. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#a5b857f54d25cb9a208397a91999b8cdd">Ogre::Mesh</a>, <a class="el" href="classOgre_1_1Skeleton.html#ac447c9183839ed0574e2f88261d24b73">Ogre::Skeleton</a>, and <a class="el" href="classOgre_1_1SkeletonInstance.html#abde81f30a3a5dadb1b7cbd31af9a941c">Ogre::SkeletonInstance</a>.</p>

</div>
</div>
<a class="anchor" id="a26d1ef5239d4ac29f68e825f8a7e70e2"></a><!-- doxytag: member="Ogre::AnimationContainer::getAnimation" ref="a26d1ef5239d4ac29f68e825f8a7e70e2" args="(const String &amp;name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Animation.html">Animation</a>* <a class="el" href="classOgre_1_1AnimationContainer.html#ab1f763d5e833e2759c96de43f3bbdab7">Ogre::AnimationContainer::getAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve an animation by name. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#a8d0f70b003b26b379251619f70a64177">Ogre::Mesh</a>, and <a class="el" href="classOgre_1_1Skeleton.html#af804e558161dc8163576db32aff753c7">Ogre::Skeleton</a>.</p>

</div>
</div>
<a class="anchor" id="aa9a928534a786e5f345cc0595ded694c"></a><!-- doxytag: member="Ogre::AnimationContainer::getNumAnimations" ref="aa9a928534a786e5f345cc0595ded694c" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short <a class="el" href="classOgre_1_1AnimationContainer.html#aa9a928534a786e5f345cc0595ded694c">Ogre::AnimationContainer::getNumAnimations</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the number of animations in this container. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#aba06d276d11968093b6c740544f871b1">Ogre::Mesh</a>, <a class="el" href="classOgre_1_1Skeleton.html#a0cfe3cc19e93de80395c1ee1927b1a86">Ogre::Skeleton</a>, and <a class="el" href="classOgre_1_1SkeletonInstance.html#ada73e03580cbb19759266b40c77a3a79">Ogre::SkeletonInstance</a>.</p>

</div>
</div>
<a class="anchor" id="ae31ca8ef4dfaa0904a9f5aa05e12e455"></a><!-- doxytag: member="Ogre::AnimationContainer::hasAnimation" ref="ae31ca8ef4dfaa0904a9f5aa05e12e455" args="(const String &amp;name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1AnimationContainer.html#ae31ca8ef4dfaa0904a9f5aa05e12e455">Ogre::AnimationContainer::hasAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this object contains the named animation. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#a8e38a90546c9b944fe51b6e9fee06581">Ogre::Mesh</a>, and <a class="el" href="classOgre_1_1Skeleton.html#a18184eb769fc7981fd12947e5107cb45">Ogre::Skeleton</a>.</p>

</div>
</div>
<a class="anchor" id="abf8658873fe91d6010482248819740e8"></a><!-- doxytag: member="Ogre::AnimationContainer::removeAnimation" ref="abf8658873fe91d6010482248819740e8" args="(const String &amp;name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimationContainer.html#abf8658873fe91d6010482248819740e8">Ogre::AnimationContainer::removeAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes an <a class="el" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a> from this container. </p>

<p>Implemented in <a class="el" href="classOgre_1_1Mesh.html#a4caff2592e1e2b223cfe9f62843c5153">Ogre::Mesh</a>, <a class="el" href="classOgre_1_1Skeleton.html#a633c573a2b77bef7a2fe210358dcb280">Ogre::Skeleton</a>, and <a class="el" href="classOgre_1_1SkeletonInstance.html#aefd460fc15dbe5bb494e28b78c8bfde9">Ogre::SkeletonInstance</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimation_8h_source.html">OgreAnimation.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
